App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
mhr_appcore_transform_Transform.h File Reference
`#include <jni.h>`

Go to the source code of this file.

## Functions
JNIEXPORT jint JNICALL | Java_mhr_appcore_transform_Transform_applyMatrixTo (JNIEnv *, jclass, jint, jlong, jlong, jint, jdouble, jdouble, jdouble, jdouble, jdouble, jdouble, jdouble, jdouble, jdouble)

## Function Documentation

JNIEXPORT jint JNICALL Java_mhr_appcore_transform_Transform_applyMatrixTo | ( | JNIEnv * | ,
|  | jclass | ,
|  | jint | ,
|  | jlong | ,
|  | jlong | ,
|  | jint | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble | ,
|  | jdouble |
| ) |  |

Definition at line 7 of file mhr_appcore_transform_Transform.cpp.

{
int retVal = -1;
Matrix3x3 m(a11, a12, a13, a21, a22, a23, a31, a32, a33);
switch ((BitmapNativeType) nativeType) {
case mono_8_bit:
break;
case rgba_8_bit: {
switch ((InterpolatorNativeType) interpolatorType) {
case NEAREST_NEIGHBOUR: {
TTransform<px_4x8bit, px_1x8bit, TNearestFInt<px_4x8bit, px_1x8bit>> * t = new TTransform<px_4x8bit, px_1x8bit, TNearestFInt<px_4x8bit, px_1x8bit>>();
if (t == NULL) {
return retVal;
}
retVal = t->applyMatrix(*((rgba_8bit_bitmap *)dstAdress), *((rgba_8bit_bitmap *)srcAdress), m);
delete t;
break;
}
case LINEAR: {
TTransform<px_4x8bit, px_1x8bit, TLinearFInt<px_4x8bit, px_1x8bit>> * t = new TTransform<px_4x8bit, px_1x8bit, TLinearFInt<px_4x8bit, px_1x8bit>>();
if (t == NULL) {
return retVal;
}
retVal = t->applyMatrix(*((rgba_8bit_bitmap *)dstAdress), *((rgba_8bit_bitmap *)srcAdress), m);
delete t;
break;
}
case CUBIC: {
TTransform<px_4x8bit, px_1x8bit, TCubicFInt<px_4x8bit, px_1x8bit>> * t = new TTransform<px_4x8bit, px_1x8bit, TCubicFInt<px_4x8bit, px_1x8bit>>();
if (t == NULL) {
return retVal;
}
retVal = t->applyMatrix(*((rgba_8bit_bitmap *)dstAdress), *((rgba_8bit_bitmap *)srcAdress), m);
delete t;
break;
}
default:
break;
}
break;
}
default:
break;
}
return retVal;
}